# Uses of Enum
org.apache.qpid.proton.amqp.security.SaslCode

Packages that use SaslCode
Package
Description
org.apache.qpid.proton.amqp.security

## Uses of SaslCode in org.apache.qpid.proton.amqp.security

Methods in org.apache.qpid.proton.amqp.security that return SaslCode
Modifier and Type
Method
Description
`SaslCode`
SaslOutcome.`getCode()`
`static SaslCode`
SaslCode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SaslCode`
SaslCode.`valueOf(UnsignedByte v)`
Returns the enum constant of this type with the specified name.
`static SaslCode[]`
SaslCode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.qpid.proton.amqp.security with parameters of type SaslCode
Modifier and Type
Method
Description
`void`
SaslOutcome.`setCode(SaslCode code)`